> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SVM detailed vault

> Retrieves detailed information for a specific SVM vault including address (vault account public key), name, protocol, TVL, and APY details.



## OpenAPI

````yaml https://api.vaults.fyi/beta/documentation/json get /beta/svm/detailed-vaults/{vaultAddress}
openapi: 3.0.3
info:
  title: Vaults.fyi Beta API
  version: 0.1.0
  description: >-
    Beta API endpoints for features in testing. These endpoints are not included
    in the main API documentation and may change without notice.
servers:
  - url: https://api.vaults.fyi
    description: Vaults.fyi Beta API
security: []
tags:
  - name: Borrow Markets
  - name: The Deep
  - name: Fixed Term (Pendle)
  - name: Portfolio
  - name: SVM
paths:
  /beta/svm/detailed-vaults/{vaultAddress}:
    get:
      tags:
        - SVM
      summary: Get SVM detailed vault
      description: >-
        Retrieves detailed information for a specific SVM vault including
        address (vault account public key), name, protocol, TVL, and APY
        details.
      operationId: getSvmDetailedVault
      parameters:
        - schema:
            type: string
            pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
          in: path
          name: vaultAddress
          required: true
          description: Vault address. On SVM, this is the vault account public key.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  address:
                    type: string
                    description: >-
                      Vault address. On SVM, this is the vault account public
                      key.
                  asset:
                    type: object
                    properties:
                      address:
                        type: string
                        description: >-
                          Asset address. On SVM, this is the SPL token mint
                          account public key.
                      name:
                        type: string
                        description: Name of the asset
                      symbol:
                        type: string
                        description: Symbol of the asset
                      decimals:
                        type: integer
                        description: Number of decimals of the asset
                      assetLogo:
                        type: string
                        format: uri
                        description: URL of the asset logo
                    required:
                      - address
                      - name
                      - symbol
                      - decimals
                    additionalProperties: false
                    description: Asset details of the vault
                  name:
                    type: string
                    description: Name of the vault
                  protocol:
                    type: object
                    properties:
                      name:
                        type: string
                        description: Name of the protocol
                      product:
                        type: string
                        description: Product of the protocol
                      version:
                        type: string
                        description: Version of the protocol
                      protocolLogo:
                        type: string
                        description: URL of the protocol logo
                    required:
                      - name
                    additionalProperties: false
                    description: Protocol details of the vault
                  tvl:
                    type: object
                    properties:
                      usd:
                        type: string
                        description: TVL in USD
                      native:
                        type: string
                        description: Native TVL
                    required:
                      - usd
                      - native
                    additionalProperties: false
                    description: TVL details of the vault
                  apy:
                    type: object
                    properties:
                      1day:
                        type: object
                        properties:
                          base:
                            type: number
                            description: Base APY
                          reward:
                            type: number
                            description: Reward APY
                          total:
                            type: number
                            description: Total APY
                        required:
                          - base
                          - reward
                          - total
                        additionalProperties: false
                        description: 1day APY details
                      7day:
                        type: object
                        properties:
                          base:
                            type: number
                            description: Base APY
                          reward:
                            type: number
                            description: Reward APY
                          total:
                            type: number
                            description: Total APY
                        required:
                          - base
                          - reward
                          - total
                        additionalProperties: false
                        description: 7day APY details
                      30day:
                        type: object
                        properties:
                          base:
                            type: number
                            description: Base APY
                          reward:
                            type: number
                            description: Reward APY
                          total:
                            type: number
                            description: Total APY
                        required:
                          - base
                          - reward
                          - total
                        additionalProperties: false
                        description: 30day APY details
                    required:
                      - 1day
                      - 7day
                      - 30day
                    additionalProperties: false
                    description: APY details of the vault
                required:
                  - address
                  - asset
                  - name
                  - tvl
                  - apy
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Bad Request
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Unauthorized
                      message:
                        type: string
                        enum:
                          - >-
                            An API key is required to access this service. Sign
                            up at https://portal.vaults.fyi/signup to generate a
                            key. We offer a Pay-As-You-Go plan so you only pay
                            for what you use, with no commitments.
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      x402Version:
                        anyOf:
                          - type: number
                          - type: string
                      error:
                        type: string
                      resource:
                        type: object
                        properties:
                          url:
                            type: string
                          description:
                            type: string
                          mimeType:
                            type: string
                          serviceName:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          iconUrl:
                            type: string
                        required:
                          - url
                        additionalProperties: false
                      accepts:
                        anyOf:
                          - type: array
                            items:
                              type: object
                              properties:
                                scheme:
                                  type: string
                                  enum:
                                    - exact
                                network:
                                  type: string
                                amount:
                                  type: string
                                payTo:
                                  type: string
                                maxTimeoutSeconds:
                                  type: number
                                asset:
                                  type: string
                                extra:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    version:
                                      type: string
                                  required:
                                    - name
                                    - version
                                  additionalProperties: false
                              required:
                                - scheme
                                - network
                                - amount
                                - payTo
                                - maxTimeoutSeconds
                                - asset
                              additionalProperties: false
                          - {}
                      extensions:
                        type: object
                        additionalProperties: {}
                    required:
                      - x402Version
                      - resource
                    additionalProperties: false
                  - {}
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Forbidden
                      message:
                        type: string
                        enum:
                          - >-
                            This API key has exhausted its available credits. To
                            resume service, please visit
                            https://portal.vaults.fyi/signup to top-up your
                            credits
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Not Found
                  message:
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
        '408':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      errorId:
                        type: string
                    additionalProperties: false
                  - {}
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Unprocessable Entity
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Internal Server Error
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Service Unavailable
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````